Title Page
No contents entries on this page
Contents
Topic functions menu
Menu
This is the first topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Navigation: »No topics above this level«

CaRob Computing's

SportsTrak 3000

© CaRob Computing 2026

SportsTrak 3000 continues the SportsTrak dynasty that began in 1993 with SportsTrak for DOS, continuing with SportsTrak for Windows, SportsTrak 2100, and SportsTrak 2200.

This User Guide is being written as SportsTrak Xtra is being developed. Consequently there will be differences between screen shots in this document and what you see in the actual program. However, the general thrust of the guide will still be correct.

Created with Help & Manual 9 and styled with Premium Pack 5


License Agreement

CaRob Computing

Navigation: »No topics above this level«

Terms and Conditions
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Navigation: »No topics above this level«

License Agreement

If the purchaser does not agree with the terms of this agreement then the full product should be deleted and contact made with CaRob Computing conveying this fact. If this contact is made within 30 days of purchase then CaRob will return the purchase price.

Similarly, if the software does not suit your needs then the full product should be deleted and contact made with CaRob Computing conveying this fact. If this contact is made within 30 days of purchase then CaRob will return the purchase price.

CaRob Computing grants the purchaser the right to use one or more installations of this software within a single school, campus or organisation. This includes multi-campus schools on a single site, but not on dispersed sites. The software may also be installed on staff personal computers for use outside the school while working on the license holder's carnivals.

The software may not be rented, lent, or leased to any other party.

The purchaser may not reverse engineer, decompile or disassemble the software.

The use of this software program is at the user's own risk. The company shall not be held liable for any damages, including but not limited to loss of data, profits, or business interruptions, arising from the use or inability to use the software. In no event shall the company's total liability to the user for any damages exceed the amount paid for the purchase of the software. By using the software, the user acknowledges and agrees to this limitation of liability.


Skills Required by Users of SportsTrak 3000
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

SportsTrak 3000 is a Windows program that reads and writes information about your carnival(s) to a local database and requires confidence in working with Windows

It takes more understanding of the computer operation than typically required by an iPad.

Typically a sport coordinator or nominee is the primary user of SportsTrak , interacting with the Admin staff and IT department

Area of Use | Proficiency Required
Set-up a carnival, with events, age groups and/or year levels, scoring system, etc Performing backups | Familiarity with running Windows programs. Familiarity with athletics and swimming carnival organisation
Import Students from Admin System | Admin computer user who is able to select and export student data in the format shown here
Enter results | Keyboard proficiency
Importing or Exporting Data | Be able to edit CSV files, usually with Excel. Be familiar with files and folders under Windows
General Windows | Knowing about Files and Folders, Sub-Folders and typical locations. Knowing File Explorer and how to sort files, select files, relocate files.
Networking | IT department


Registration
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Navigation: »No topics above this level«

Upon purchase of SportsTrak 3000 you will receive a 16 character code that uniquely identifies the purchaser and the software similar to this: C0PP9HFFTRPGI3Q.

Initial use of SportsTrak requires internet access

When your PC is on-line the Registration button connects to our server.

Initially opening Registration... the client is unknown

Initially opening Registration... the client is unknown

Enter your 16 Character code then Check Status

SportsTrak checks the credentials of your program. It knows the client (usually a school name) and whether the software is on trial or fully paid, etc. This is saved locally, and after that internet access is not required to use the program.

Client is known. Trial Period

Client is known. Trial Period

If the status changes, usually going from Trial to Fully paid, you need to re-connect to the internet and check the Registration again. It can also detect a change of Client name if that has been notified to us.

Fully authenticated

Running SportsTrak on other machines

Installation on another PC within your organisation is permitted, but must be done the same way as above... that is:

1. Run the setup program

2. Ensure there is a web connection

3. Use the Registration Code in this window


About SportsTrak Xtra

CaRob Computing

Navigation: »No topics above this level«

About SportsTrak 3000
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Navigation: »No topics above this level«

SportsTrak is a Windows program that manages school based Athletics and Swimming carnivals, was first released in 1993, and is widely used in Australian schools.

It has been through a series of updates, from an original DOS version (pre-Windows) through Windows versions 3, 2100, and 2200, culminating in this version, dubbed 3000

See Changes in SportsTrak 3000 from SportsTrak 2200

SportsTrak 3000 is specifically named because it introduces extra features using remote devices such as iPads for data entry. But it also a reorganization of the way the program is organized, hopefully to make it more straightforward to work with.

SportsTrak 3000 has been created using an Integrated Development tool named WinDev that is a French company. Being French based, you may occasionally see unusual (to English speakers) messages or labels.

WinDev also automatically adds many features into a program, such as menus on any table or report that let you print or export, or "Did you Know?" windows. Some of these little quirky bits may not be useful, but it is just WinDev trying to be helpful. 99% of the program is written by us.

Carnivals and Lineages

Lineages are a fundamental feature in SportsTrak 3000 that enables you to connect carnivals sequentially. This was not possible in previous SportsTrak versions

What is a Lineage?

A Lineage usually is a set of carnivals that are repeated from year to year and share common event records, the same carnival setup, and much the same events.

For example, you could have one Lineage of Inter-House Athletics, another of Inter-House Swimming, another of Inter-School Athletics.

Starting afresh, without any previous carnivals, you create a Lineage, say Inter-house Athletics.

You can then create a Carnival within Inter-house Athletics, maybe named Aths 2025.

A Lineage name is very general, without reference to years, whereas Carnival Names tend to be more specific.

Next year, you can create Aths 2026 by asking SportsTrak to copy it from Aths 2025. This brings in the events, all other details like houses, ages, etc, but not students. But it includes records set in 2025. You can then modify the program or other details if required.

If you run an inter-school program, it would require another Lineage to be defined because the Records are different to the Inter-house and the program is typically different.

Inter-House Swimming Lineage

Inter-House Swimming Lineage

Inter-House Athletics Lineage

Inter-House Athletics Lineage


What does SportsTrak do?
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Navigation: »No topics above this level«

SportsTrak is used to manage and score school sporting carnivals, house or year level based. It focuses on Athletics and Swimming.

Typical activities for a particular carnival include:

·set Houses, Age Groups, Age Group Reference Date, Scoring System, and the like.

·create a program of events

·import students from the administration database

·print nomination forms for the events for each house

·pre-enter competitors and print marshal/judges sheets

·enter results and determine a range of championships

·print a range of summary reports

For inter-school carnivals each school is treated as a house. A program may be based on Year Levels, not Age Groups. A carnival may be based on Form Groups, not houses or schools. Each carnival is saved in its own folder.

SportsTrak can be used for Trials

Trials are often run to rank competitors on their performance in a range of events and to use this to seed competitors into events on a program. With SportsTrak you may quickly give any competitor a performance, ignoring age and gender, and SportsTrak will put the best into the program.

Selecting Competitors for an inter-school competition

SportsTrak can take best performers from an inter-house carnival and place them as competitors in an inter-school program.

Assume you run an inter-house carnival:-

Your inter-school coordinator using SportsTrak can send you a copy of the inter-school program for you to set up under SportsTrak. SportsTrak allows you to match events across the two programs and select your best place-getters as competitors. You can then export the competitors to a file to send back.

Terminology

Typically SportsTrak has all the school's students, some of whom actually compete.

A Competitor refers to a student who is in an event.

The word Team can be ambiguous. It can mean House when used in an Inter-house competition, School when used in inter-school carnivals but can refer to a Team Event such as a Relay.

This guide tends to use the word House when speaking of the team to which students belong.

For an Inter-school competition, the word House is equivalent to the school they are competing for.

ST2200 is often used as as an abbreviation for SportsTrak 2200, as is ST3000 for this version.

French expressions occasionally seen in the program, especially in error or system messages?

SportsTrak 3000 is created using PC Soft's Windev. It is a French company and many built in error messages for example are expressed in French. This is seen sometimes in our user interface. On some forms you may see the word Validate which is how Windev labels the OK button on update forms. Most have been changed to OK but not all.


How you do it
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

First you create a Carnival, usually Swimming or Athletics.

The carnival is based on:

A Lineage described here

Events Event names are drawn from a list that you maintain - referred to as the Library of Events. All of your events must be in this library.

Levels Either Age Based or Year Level Based. This is set in the Carnival Details for this Carnival, and you set the specific of Ages or Year Levels that may apply to your carnival

Students Usually imported into SportsTrak but can be manually entered

Competitors These are students who have been placed into an event

A scoring system for awarding house and individual points

Records for events set in one carnival need to be seen by the following carnival of that type, usually the next year.

For this reason all related carnivals are grouped into a logical sequence referred to as a Lineage.

Thus Aths 25, Aths 26, Aths 27 will be in a single lineage; Swim 25, Swim 26,Swim 27 will be in another.

If you start afresh without any previous carnivals, you still need to first create a Lineage, say "Inter-house Athletics". You might then create a Carnival named "Aths 2025" in that Lineage. A Lineage name is very general, without reference to years, whereas Carnival Names tend to be more specific. Next year, for Aths 2026, you can create it by asking SportsTrak to copy it from Aths 2025. This brings in the events, all other details like houses, ages, etc, but not students. But it includes records set in 2025. You can then modify the program or other details of course.

If you run an inter-school program, it would require another Lineage to be defined, mainly because the Records are different to the Inter-house, but also because the program is likely structured differently.

You can choose to pre-enter students into events

There are several ways of doing this:

Assign students to a particular event

Assign events to a particular student

Import them from a text file

You run the carnival

You call up each event, assign placings and/or performances to competitors, and move on to the next event. If competitors are not pre-entered, you look them up and add them. That event is automatically scored when it is completed. Scores to houses and individuals are updated.

After the carnival

A range of summaries are available. Champions Report, Team Scores and a lot of others.

Multiple computers for results entry?


The Menus
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Navigation: »No topics above this level«

SportsTrak has multiple tabbed menus, focusing on specific aspects of carnival preparation, operation, and related activities.

To set up a carnival, work from 1. File until the 5. Carnival Day menu.

1. File - Occasional but important tasks

1. File Menu

1. File Menu

Registration is where you enter your Authorisation code and check the program status. Usually Trial or Full. (with internet access)

Backup and Restore works with whole Lineages or Single Carnivals, to local backup, or cloud

Data Paths lets you set where the data that SportsTrak uses is located. For most purposes you do not need to change it.

Check Update requires a web connection. It will check for a later version of SportsTrak, download it, close the running SportsTrak, install the new one, and then restart.

2. Carnival Setup - Editing the background items required to set up the carnival: Event Library, Levels, Scoring, Teams (Houses)

Setting up or modifying the carnival

Setting up or modifying the carnival

Here is where you select, add or modify the carnival you are working on.

One carnival is set as Current... then all buttons on this menu (and subsequent menus) relate only to that carnival.

Setup Steps takes you through a logical process for setting up a carnival. Or you can work directly via the other buttons.

Data Check examines the current carnival for obvious deficiencies or inconsistencies such as students without a house or an age/level

3. Students - editing, lists, and import.

Student Menu

Manage the student list here with import and printing options

4. Program and Competitors - Edit the program, pre-enter competitors, review numbers, various print-outs

Program and related activities

Program and related activities

Set up the program and competitors, print lists etc before the carnival

5. Carnival Day - Enter Results, plus a range of score reports

Carnival activities

For a typical Athletics or Swimming Carnival this is as far as you would need to go.

6. Massed Entry

For Trials or Cross Country

For Trials or Cross Country

Specific to trials or events like cross-country, where Age/Level of finisher is not known at the time.

7. Import/Export Menu

Sundry import or export options

Sundry import or export options

Getting data into and out of SportsTrak is important.

Program Imports and Exports

You may wish to send a copy of your carnival to someone else to work with. You may need to get competitors from another carnival.

Import and Export of the program to CSV can be useful for making overall changes to the ordering of a program.

Import and Export Excel are useful for getting a program to or from another school. Both Import and Export can be done with SportsTrak 2200 compatibility.

Results Imports and Exports

Used when multiple PCs enter results for different events for the same carnival. Those results may be exported and the imported to the main PC.

SchoolTeam CSV

If schools have to provide competitors to an inter-school program: With the same program on their SportsTraks (be it ST2200 or ST3000) they can add competitors to that program and send it as SchoolTeam in CSV format to the host organiser for import. Participating schools may have been sent the program previously using the Program export section.

SportsTrak 2200

This is a 2 or 3 step process to get SportsTrak 2200 carnivals into SportsTrak 3000 format. SportsTrak 2200 was written is a different language with different file structures to ST3000, so the data must go through an intermediary process of converting first to a text format both versions can work with. In the development of 3000, we have used this a lot to get test data and it works well.

FinishLynx

creates data files for the Finish Lynx timing system based on the current carnival, and can then import those results and times back to the current carnival. Becasue the data has to be sent and returned in specialist text files, it is included in the Import/Export section

Data Check

Importing anything from another source such as CSV file has risks. Hence use Data Check after any import.

Student Import is performed from the Student menu.

8. Mobile Menu

Activities related to Mobile Devices data

Activities related to Mobile Devices data

Upload/Download data for mobile devices using the SportsTrak App. Data is transferred via our server, not directly to the app. The app saves results to the server where it can be viewed or downloaded from here.

9. Inter-School

Sending and Receiving data between higher and lower level carnivals

Sending and Receiving data between higher and lower level carnivals

If you are organising an inter-school program where other schools need to submit competitors you first send them a copy of the program.

If they have SportsTrak 3000, you can send them the Carnival Export, otherwise just the CSV of Events

If you are the lower level organiser you can import the Carnival Export file sent by the higher organiser and then work through the stepped guide to add your competitors to that program.

You then send back the JSON file of your competitors.

The inter-school organiser then imports the JSON or CSV files sent back to them.

There are import/export options on the 7. Import/Export Menu that are useful as well


Program Behaviour
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Navigation: »No topics above this level«

Tables and Forms

All SportsTrak data is stored in a series of data files. The data is often viewed or edited via a table.

House List Table

Typical table - House List

Most tables have edit buttons where you can insert, edit or delete the highlighted record in an update form

An update form

An update form used to edit data

Some forms use the term Validate as opposed to OK. It means the same and is due to the fact that the development tool is French. Sometimes you may see other French expressions, say in an Error Message.

Table Headings Some table headings display a small magnifying glass. Those columns can be sorted by clicking on the heading. If you click on the magnifying glass itself you can enter something to search for in the list. The table will scroll to the nearest. | ProgramTable1
Context Menu Most tables have a Context Menu accessed by Right-Clicking on the table. This gives the ability to export to Office utilities like Excel. Copy All will allow you to paste into a spreadsheet that you might already have created. | Context Menu on the Student Table Context Menu on the Student Table

Error Messages

The underlying system of SportsTrak will generate error messages sometimes. The most common of these is when data is duplicated.

For example, trying to enter two houses with the same house code.

In this example, I have tried to change the house code of Red to a code already used, GRN. The underlying file system throws up the error. (It is not written by the programmers). The key word is Duplicate.

This error window allows you to modify what you are saving or you can Cancel. Never modify an Identifier, that long sequence of characters.

However, in this example, "GRN" by entering something else in Value To Write (which would be a known house code) then OK


Setting up a Carnival
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Navigation: »No topics above this level«

Steps involved:

1. Identify or create a Lineage for this carnival.

2. Create a new carnival in this lineage, or import from a previous carnival.

If you have previous year's carnivals where performance records exist, use the same lineage.

If you import a carnival you get all the same basic settings: houses, age/levels, score system, program of events etc, so this is the best way to do it.

3. Update the carnival's dates and other settings. If creating a new carnival (not importing) then you need to enter houses, ages or year levels or both, score system, program of events.

4. Student data is imported from an admin system.

5. Competitors may (or may not) be pre-entered into events.

6. After entering competitors, you may need to adjust events based on the numbers of competitors in those events.

The window below guides you through the steps logically, with some explanation as you go.

Setup Wizard for typical Carnival

Setup Guide for typical Carnival

However, all functionality is accessible through the menus, typically working from left to right until Carnival Day,


Create a Carnival with a Lineage
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Navigation: Setting up a Carnival >

From the Carnival Menu, click Carnivals and create a New one in a selected Lineage

Edit Carnivals and Lineages

Edit Carnivals and Lineages

Creating a new Lineage

Creating a new Lineage

If the correct Lineage is not in the list on the left, create a New lineage

Set Details of the Lineage

Set Details of the Lineage

These details apply to all Carnivals in the Lineage

If you Delete a Lineage, it will also delete all its Carnivals

If you Delete a Carnival, it will also delete all related data: events, students, results, age groups scoring system, year levels, houses...

From the right hand side of the main window, create a New carnival

Update Carnival Details

Update Carnival Details

It is expected that you put the year in the Carnival Name so that different carnivals are easily identified, eg Interschool Aths 2026, then Interschool Aths 2027

Check the other boxes as appropriate.

If you are running heats and finals, there is a separate section of this guide on that topic.

Set this Carnival as Current.

Toggle current carnival on/off

Toggle current carnival on/off

Current Lineage and Carnival

Current Lineage and Carnival

All other setting up functions in SportsTrak 3000 now refer only to this carnival. Details of other carnivals are hidden.

Now go to the Carnival Setup menu


Check Related Data
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Navigation: Setting up a Carnival >

After selecting a carnival as the Current Carnival, go to the 2. Carnival Setup menu.

All of these settings relate only to the currently selected carnival, even though you may have multiple carnivals in your data set.

BUTTON | COMMENTS
Carnivals | A table of Lineages and their Carnivals for easy viewing and editing. You can set the Current Carnival from here.
View in a List | View all Lineages and Carnivals, but no editing. You can set the Current Carnival from here.
Event Library | Standard Event Types that can be entered into your program. These apply to all Carnivals in the same Lineage.
Records | Records of events These apply to all Carnivals in the same Lineage. (which is kinda the purpose of a Lineage in th first place)
Age Groups | Required for Age Based Carnivals and can be useful for Year Based Carnivals if contestants move to an Age Based higher competition.
Year Levels | Required for Year Level Based carnivals
Score System | Points per Placing when scored Normally
Houses | House or Team names, with an abbreviation
Remove Data | Gives the ability to clean data from the carnival. You may for example have a practice of Results Entry, so you need to be able to Remove those results. Here is where you do it.
Standards | Not commonly used. A scoring system where points earned by competitors is based on their performance, not their placing.

Work through each of these and set them up (or check them) as appropriate to your carnival

Library of Events for Swimming

Library of Events for Swimming

Tick relevant age groups

Tick relevant age groups

Tick relevant Year Levels

Tick relevant Year Levels

Edit House List

Records Table

You can manually edit the Records here, but they can also be imported from text file. (See Import/Export Menu).

When Carnivals are run, the records are updated automatically.

Older records are not lost. When broken, the later record has a better performance, but older ones are still in the table.

Selective Data Removal

Selective Data Removal


Event Library
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Navigation: Setting up a Carnival > Check Related Data >

Once you have created a Lineage you will require an Event Library. This is a set of standard events that you draw upon to create a program.

These events are associated with the current lineage and will apply to all carnivals in the same lineage.

Typical Event Library

Typical Event Library

These entries tell SportsTrak how to behave with different event types. You may add to or edit these events. You are not required to use them, but any event on the program must be here.

Event Name:

This is what will appear on the program, so be consistent with formatting, capitalisation etc

Category:

Refers to events competed with as Individuals, or events competed with as a Team (usually relays)

Measure:

Timed or Distance. How the event is measured. High Jump comes under Distance

Scoring Method:

Normal is most common... where 1st place gets X points, 2nd place a few less, etc.

Slip Format:

How the Marshal/Judges sheet is structured. Field is used for all Distance events except for High Jump which has its own format. Timed events are usually Track format, even for Swimming events such as 50m Freestyle

Number per house:

How many competitors in a team event. Not critical

Lanes and Pits:

How many lanes or pits are used for the event. Not critical

Duration:

Used when adding events to the program to suggest the timing sequence. Not critical


Ages and Years
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Navigation: Setting up a Carnival > Check Related Data >

The Age groups and Year Levels you enter determine the Level of the Events on the Program.

Age Based Carnivals

You must have Age Groups entered. You may have Year Levels

Typical set of Age Groups for a secondary school

Typical set of Age Groups for a secondary school

SportsTrak 3000 no longer supports the U/14 type notation. If importing these from SportsTrak 2200 they get converted to the 13Yr type format.

The age you enter above are the age groups that are used by the events, not specifically to cover all students.

Students either fit directly into one of these ages or these rules are used:

Students younger than 12Yr are automatically placed in 12Yr.

Students older than 16Yr are automatically placed in 20Yr.

Students older than 20Yr are also automatically placed in 20Yr.

Year Level Based Carnivals

You must have Year Levels entered.

You may have Age Groups. It advisable to have age groups if competitors from your Year Level based house carnival progress to an inter-school Age Based Carnival. SportsTrak can select best performers from your carnival based on their ages to compete in relevant age based events.

Select the relevant year levels

Typical Year Levels for secondary schools

Typical Year Levels for secondary schools


Score System
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Navigation: Setting up a Carnival > Check Related Data >

A typical score system looks like this:

The points for Individual Events are allocated to the Individual and to the Team.

Team Events are typically Relays and their points only go to the Teams. Individuals do not get points for themselves in Relays.

To add positions in the table, use the button Add Lines to Table To Table

You then go back to the table to enter the relevant points per place.

Cross Country

It is suggested that you use X grade for Cross Country because of the typical number of competitors. You may want points for every one, or maybe points only down to say 10th or 20th place or beyond.

Adding Cross Country places down to 10

Adding Cross Country places down to 10

This creates the list shown below where you edit the points directly in the table.


Records
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Navigation: Setting up a Carnival > Check Related Data >

The Records Button (circled in yellow)

The Records Button (circled in yellow)

The list below shows all current and previous records. When printing the program and entering results, SportsTrak selects the record most recent to the carnival date.

The other records are there for historical tracking.

List of Records

List of Records


Program of Events Menu
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Navigation: Setting up a Carnival >

This menu covers the activities directly related to the Program of Events, Setting Lanes, Managing Competitor Entry and related Reports.

Any Import/Export of the program, students or competitors is handled from the Import/Export Menu.

Heats and Finals have their own section in this Guide

Edit the program, lanes, competitors


Program
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Navigation: Setting up a Carnival > Program of Events Menu >

Click the Program Button

A straightforward program of events looks like the screen shot below. It can be sorted or searched on any heading with a magnifying glass.

The main Program Window

The program can include non-event organisational information such as assembly, lunch time, presentations.

Event No and Print Order

Event No looks numeric, but it is actually alphanumeric, so you can have events numbers 3A, 3B etc which are not purely numeric.

For this reason we include a Print Order, sometimes referred to as Sequence No in this document. Print Order is the order in which events print; Event No is not the print order.

The Move Event buttons will push an event up or down the program

If you require an event within the current print sequence you can use the Open Break button to create a gap in the sequence, into which an event can be inserted. Highlight the event above where you want the break. You may have to enter a temporary event number.

Set Event No's button sets all Event No's to be equal to the Print Order, and this can tidy up the program at any time.

Event Type

Events can be one of several type. Ordinary (as above), Heat, Quarter Final, Semi Final, or Final. Heats and finals are discussed in their own section.

Ordinary events are simply self contained events that have no reference to any other event. Most events are Ordinary, so we don't clutter the table with that notation, but if you see Ordin anywhere, it means Ordinary event.

Grade

This refers to the grade of the Scoring System, typically A Grade, maybe B or C grade

Right-Clicking on the Menu

If you right-click on the table you get a menu that the development software puts in automatically. That is to say, we programmers have not put it in.

Some of these items can be useful, such as exporting to Word or Excel or Selecting Columns.

Right-Click Menu on a Table

Right-Click Menu on a Table

Editing the program


Add/Edit an Event
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Navigation: Setting up a Carnival > Program of Events Menu > Program >

This screen shot shows a NEW event from the previous table.

SportsTrak tries to predict the Event Number and Print Order but does not always get it right, so over-write those fields to suit.

Event Name is a drop-down list, populated with the entries in the Library of Events

Time is entered as a 4 digit number in 24 hour notation, eg 1025 for 10:25AM or 1340 for 1:40PM

Age Group or Year Level, depending upon the carnival type is from whatever was entered in the Setup Menu

Other Info is additional information that appears on the program along with the event. e.g. Pit 2 or 3kg Shot, or Starting Height 1.1m

Heats and Finals are covered separately in this guide.


Non-Sporting Item on Program
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Navigation: Setting up a Carnival > Program of Events Menu > Program >

You may want to include non-sporting items within your program, such as Assembly information or Lunch.

These items form part of your program of events with a specific Print Order but are labelled as Non Events.

Check the box Is Not an Event, Set the Print Order and Time, and enter the information to be displayed

Notice that the Event No is automatically set as Msg1, Msg2 etc

Program with Messages


Set Lanes
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Navigation: Setting up a Carnival > Program of Events Menu >

After the program is set up, you may Set Lanes for the events.

In the library of events (Carnival Setup Menu) make sure you have set the Lanes number( 3rd last column below)

For field events, this can either be ignored or regarded as the competitor order within the event.

You can directly enter this number into the table (or use the update form)

Use the Set Lanes button of the Program of Events menu

The table displays event types on the current program. The Drop Down options are House Codes to assign to each lane.

The number of lanes seen for each event is the Number of Lanes set in the Library of Events.

The house pattern is a template of lane assignment to be used for all events of that type. You may choose to keep the same pattern for all events on the program or to rotate the houses for each event.

For the subsequent listed events, you may choose to Copy the highlighted line

Highlight another line, then Paste.

In this example I have Pasted an 8 Lane pattern on to a 12 Lane event, so I still need to put in the remaining 4.

I have then repeatedly Pasted to complete the same pattern for all events

When pasting, if the number of lanes being copied is greater than the No of Lanes displayed, the the No of Lanes displayed will be corrected and saved.

The above table is a template to be used for Set Lanes.

So, choosing to Rotate Lanes in this example, I click Set Lanes

I can then view and edit the lanes set for the actual events:

When competitors are added to these events, they are assigned to lanes based on their house.

(I know the example shows a field event, but you can regard the Lane Order as the Jump order, or simply do not add lanes for field events)

These lanes appear on the Marshal Sheet and the Program of Events


Pre-Entry of Competitors
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Navigation: Setting up a Carnival >

After importing students and with the program of events entered, you are ready to pre-enter competitors into events.

Note: You can enter competitors from multiple networked PCs. See here for how to set that up.

Competitor entry functions

Competitor entry functions

Pre-entry of competitors into events allows:

Competitor listed programs to be printed

Easier results entry

Even partial pre-entry will help during results entry because some of the competitors may be listed and will not have to be looked up.

Competitors who are listed but did not compete can be ignored during results entry.

See also Lanes

Competitors may also be imported from text/csv files.

This done from the Import/Export Menu and is discussed in this guide here.

Recommended method

This method suits House Carnivals particularly but can be adapted for most situations.

1. Print Entry Sheets

This example is an Age Based carnival, so Year Levels are grayed out.

If some competitors have been already entered, you can choose to have them marked on the printout by ticking the Checkbox Mark existing entries...

Choose what Levels and House to Print

An entry sheet is produced for each house, age group and gender. That is usually 4 x 6 x 2 = 48 sheets. If you don't want them all, this window allows you to narrow down the ones you get.

Remember that they will print to screen so All levels and All teams is fine.

Here's a sheet for one Level and one House:

The form accommodates 15 Events across the top.

Blank Entry sheet

If the Mark existing entries... is ticked and some competitors are already in then they are marked on the sheet.

2. Send sheets to house meetings to be filled like this

Marked Entry Sheet

The sheet then comes back to the SportsTrak operator to enter the competitors from the sheets.

There are several ways to enter the competitors:

Via a Grid similar to the form above

By selecting a competitor and entering events

By selecting an event and entering competitors


Entry via Grid
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Navigation: Setting up a Carnival > Pre-Entry of Competitors >

You get a window where you select the Age/Level/House/Gender that the entry form relates to.

Using the button View Edit Competitors above:

Tick the relevant events for each competitor, then Save and Close


Entry via Competitor
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Navigation: Setting up a Carnival > Pre-Entry of Competitors >

Working off the filled in nomination sheets...

This process can conveniently be done by house representatives, ie. students. One student reads and checks, one student enters the events.

Marked Entry Sheet

Then Enter Via Competitor

Working from the Entry Sheet, locate each student in turn

Notice that I have sorted the table by Competitor name, and typed 'Kaus' to locate Kaushik, forcing the selection in the top row.

Then Add Events

Although you can drag and drop events onto the right hand table, the quickest way is to enter the Event Numbers and click Add as shown below.

Those events are instantly added to the student. Any events of the wrong age or gender are ignored.


Entry via Event
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Navigation: Setting up a Carnival > Pre-Entry of Competitors >

Probably not the quickest way to add competitors, but very convenient to update individual events.


Modify program based on Competitor Numbers
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Navigation: Setting up a Carnival >

From the Adjust Program button:

This utility displays the competitor numbers as well as the maximum expected.

(The expected number is set in the Library of Events for the particular event type. In this example I have just been into the Event Library and set 400m and 800m to 8 competitors.)

Overloaded events have a yellow background.

Event 5 has 13 entrants with 8 being allowed, so we need to add an extra event.

Refining the program based on numbers of competitors

It seems Event 30 requires more heats, so with it highlighted, I can click Add Events (using Automatic). Note you need to have that event highlighted in the table.

Confirmation required

Expand this event spreads the competitors of Event 5 over the required number of events, now labelled 5-A, 5-B.

After expanding Event 5

After expanding Event 5

Merge Events

Highlight any of the heats within a related group, eg 5-B and click Merge to bring them back together.

After merging the 2 events

This also merges the competitor lists for those events.

Expanding Events without known competitors

You may know that an event will be over-subscribed without knowing exactly how many competitors are likely to be in it.

You may simply add some additional events to accommodate them. Even if you add too many, it is no big deal. They can be ignored for results entry

Use the #Events to Add button and change it from automatic to a number, in this example, 3.

Click Add Events

Note I have 4 events because the button says to Add 3


Heats and Finals
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Navigation: Setting up a Carnival >

You may jump to:

How SportsTrak Processes Heats

How to Add Heats to the Program

Adjusting program to allow for extra competitors in heats

Terminology used in SportsTrak regarding Finals

Final means any event where the competitors progress no further. Technically, it includes stand-alone events, but the word makes more sense if you consider it to mean the last event in a hierarchy leading from Heats &/or Quarter Finals &/or Semi Finals

Heat, SemiF, QtrF are labels for an event where the best place-getters will progress to another event in the same carnival. These all behave the same way: The best performers are taken and placed into an identified higher level event.

For a very structured carnival, you might have 4 QtrF events leading to 2 SemiF events leading to 1 Final

More commonly for school carnivals maybe: 2 or more Heats leading to 1 Final. For example events 10, 11, 12 are heats and the results feed into event no 110, the final

In this guide, when ‘Heat’ is referred to, it can typically also mean SemiF or QtrF.

Finals can work with their heats in any one of four ways:

Method A - Best Overall, but final doesn't run

Heat finishers must have a performance recorded, not just a place.

Occasionally, heats are run and you want the best performers to be treated as if they had competed against the competitors in the other heats. You do not want to actually run a final event.

Method A can also be a way of running trials: Competitor times for different heats are entered, all of which send results to the same Final Method A Event

After the heats have been run, the A type final must be called up and be processed as if it had run, based on the performances obtained in the heats

Method B - Best per Team

Heat finishers must have a performance recorded, not just a place

The final takes competitors with the best performances from each Team across the heats. e.g. best 2 from each house (or school) move to the final.

Method C - Best per Heat

Heat finishers do not require a performance. Best performers can be selected just by their place in the heat

The final takes the competitors with the best performances from each Heat. e.g. the best 2 from each heat move into the final.

Method D - Best overall

Heat finishers must have a performance recorded, not just a place.

Results from all the heats are sorted and the best performers progress to the final, regardless of which house (or school) or which heat they came from.

Heat finishers must have a performance recorded, not just a place.

As heats are processed in Results Entry, competitors are allocated to the final based on the relevant rule.

If heats are edited, the competitors in the final are recalculated.


How SportsTrak Processes Heats
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Navigation: Setting up a Carnival > Heats and Finals >

As heats are run and results is entered SportsTrak will process that heat, plus any other heat for the same final, and based on the method (A to D) selected for the final, will automatically move the best place-getters into the final as competitors.

Lanes in Finals

When all the heats have been run and leading competitors have been timed, you should print a marshal slip for the final.

The competitors will be entered into the final with lanes based on V formation...best performers in central lanes (if 8 lanes). Lanes 5, 4, 6, 3, 7, 2, 8, 1

For finals with more than eight competitors, the lanes are rotated based on the teams.

Processing the final

When you call up the final, SportsTrak will have loaded all the contestants and you only need to assign a place and performance to each.

SemiF and QtrF

If that final is a Semi Final or Quarter Final, then the results will be processed as a heat for the next level of final. Thus the best contestants will automatically move from Heat, through lesser finals to the Final, without having to be manually entered. Each marshal slip will be automatically correct.

Scoring

Competitors will score points from all heats and finals based on the grade of the scoring system you assign. If you don’t want heats to score points then assign a scoring system to them that has zero points for each placing.

Are heats and finals limited to timed events?

No. Heats may be based on distance events such as long jump, or high jump, if desired.

To edit the finalists before a final

If you need to delete or add a finalist or change the order of lanes, go to Carnival Setup > Events and Competitors, call up your event and make your changes.


Heats Instructions
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Navigation: Setting up a Carnival > Heats and Finals >

Edit the Program of Events

When building the program of events, Insert heats before finals

When entering a heat, you will specify which event is the final, and the final will be automatically inserted into the schedule with mostly correct details.

The time is arbitrarily set to be 2 hours ahead. The final descriptor is set to FINAL.

Editing a Heat

Editing a Heat
Editing a Final

Editing a Final

After entering at least one heat, Edit the Final that was created

You need to check whether its a QtrF, or SemiF, or leave it as Final. Correct the time. If this Final is actually a SemiF or QtrF then you need to specify the event number of its Final.

Add any other heats for that Final. When you specify the final, the process will recognise event details and automatically add them for the Heat.

Heats and Finals are coloured in the Program of Events window as above, although not necessarily in others.

What if the program changes? What if I do not want those event numbers for the finals?

Heats and Finals are connected, but not really by using the event numbers.

Every event has an invisible unique identifying number called a GUID.

The heats know the Guid number of their final. If a final changes its Event Number, it does not matter.

The heat still knows the Guid of the final so it can update the Final No in the table.

Finals have been renumbered

Finals have been renumbered

This shows that 200 and 201 have been renumbered to 150 and 151 and the heats are fully aware of it.

If you delete a Final, its Heats are orphans. Add the Final again, but you will need to edit each heat and set its Final No again so they get the Guid of the new Final.

Competitors

If desired, pre-enter competitors into the heats.

On the day

Run all the heats as normal events, entering performances for all place-getters.

If you don'’t wish to enter precise times beyond a particular placing, then leave the time as 00:00.00 and SportsTrak will convert it to 99:99.99, the maximum time. This will cause these competitors to bring up the rear during processing, and

be omitted from the final.

For B, C, D finals, after all heats have been run, print a marshal slip for the final to show the allocated lanes and give to the starters' marshal.

Process finals normally

If you use the Method A finals (where the final is not actually run) you must process the final after entering all heat results.


Standards
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Navigation: Setting up a Carnival >

StandardsButton

It is possible to run events where the scoring is based not on Placing (Normal Scoring) but on the quality of the performance. For example

100m in 18 seconds scores 10 points

100m in 19 seconds scores 9 points

100m in 20 seconds scores 8 points

etc

Each of these is referred to as a Standard and they are Age/Gender specific.

When used in SportsTrak each event has to have standards for all levels of performance and gender. So for example 100m may require 10 or more levels of performance across each of Male and Female. It is typically too much to manually enter, one by one.

They are best imported from an existing source!

Guide to the import file

Guide to the import file

If you choose to import, you are given a guide to the structure of the import file in CSV format. Usually you would use a spreadsheet to edit this.


Carnival Day
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Navigation: »No topics above this level«

Pre-Carnival Check

Before carnival day, enter some practice results and check that all scores are working as expected.

Print some reports and be sure. It is much easier to fix this sort of thing before the day.

Then delete those results.

Carnival Day

Results Entry - be able to:-

Edit competitors' placings quickly and accurately

Find students who aren't listed in the event

Correct student data if it is not correct

Insert a new student

Print Score Updates and Records Broken throughout the day

Print Scores and determine Champions at the end of the day

This has to be done quickly to enable the presentations to proceed

Backup the data so that it is not just on a single computer. Best to save to one of your servers.

Tips for Carnival Day

How many Computers to use?

As a guide, for Swimming , with pre-entered with competitors, one computer with good recorders will handle 180 events. These results come in at a steady rate and the recorders can keep up, but without much respite!

Athletics is often slower overall because Field events often arrive in bundles, and often need checking and correcting. The recorders are sometimes idle, then battling with a backlog. Around 140 events maximum if pre-entered with competitors.

If you are not pre-entering competitors, at the above event levels, go for two computers, each with two recorders, connected with a blue cable to a shared data folder on one of the computers.

Make sure the SportsTrak computer has a Printer

How the recorders should operate:

It is usually the Sport Coordinator (or other staff member) who does the preparation work in SportsTrak before the carnival. On carnival day it is good to have a specialist team to do results entry.

Data entry should be done in pairs. A single data entry person is at a serious OHS risk due to repeated head swivel

One person receives the judges slips, reads the results out, checks what is going into SportsTrak, stores the judges slips.

The other enters the results as they are spoken and repeat what they think they have heard so that results go in accurately.

They will print reports as required.

This pair rotate from time to time.

What skills do recorders need?

They require keyboard skills

They should be finicky and able to interpret and correct sloppy judges sheets. Many judges do not give full placings (esp in Field Events).

They should know how field event placings are determined. For example in High Jump, 2 competitors on 1.55 m are not necessarily equally placed. The one who did it on less attempts is the higher place getter. In school scenarios, the pit judge is often unaware of subtleties and the recorder should monitor all incoming judges sheets.

The need good verbal communication skills

Who can be recorders?

It can be staff or student.

If staff do it they often do it at every carnival, become very proficient and can train other staff.

Non-competing students make good data entry operators, as long as they are trained up. They are quick and confident, but must know the skills listed above.


The Menu
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Carnival Menu

Enter Results is where the results are entered (duh).

The next three buttons are either tables or reports covering different combinations of results and scores.

Recalculate all scores will strip all scores from individual and teams, then recalculate them again based on the entered results. This is essential if you have changed the scoring system and can be useful after importing data from some other source, another PC, Timing system or whatever.


Results Entry
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Results Table

Double click any event to bring up the table below.

Results Entry on an event

Results Entry on an event

When this table loads, any related scores are totally deleted from the competitors and teams. Results are recalculated whenever this window closes or another event is selected.

This means that if another computer looking at this carnival reads the scores, the results of the event being updated here will not be included.

999 Place

Pre-entered competitors are given a placing of 999 when initially loaded.

If they do not actually compete, do not bother removing them. 999 places are ignored when processing the event.

Sort Places

This requires all competitors to have a performance entered. If some competitors are placed, but not given a performance, they would be equally placed later than those with performances.

Anonymous Placegetter

An anonymous placegetter

An anonymous placegetter

If you want to recognise a placegetter as a member of a team but don't care who it is, use the Anonymous Placegetter button. This asks for the team and assigns an artificial student with the code beginning with @ sign as shown here.

Double click on any competitor to edit the place.

Editing a place

Editing a place

Start with 1st place, working up. The next available place is given by default. In this example the place is 6 since we already had 5 entered.

You may edit that place to anything you like, including an equal place.

You get a warning if the place and the performance are inconsistent with the other results, but sometimes you do it anyway prior to sorting. In case Disable the Performance Check in the results table.

Entering Times

Time should always be entered without punctuation in the format mmsshh

18 secs would be entered as 1800

18.5 is entered as 1850

1 min 24.5 secs is entered as 12450 or 7450

The critical thing is to finish on 100ths sec.

Status

All Clear is the default and will not show anything in the results table.

In a typical school carnival DNS, DNF, DSQ can be ignored, by not bothering with a Result for them. The status options are for formal carnivals where a complete record of results is required.


Unlisted competitors
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

No pre-entered competitors

No pre-entered competitors

Often, finishers in the event is not pre-entered, so you need to add them to the results. In this case you need to select them from a list.

Let's say I am after Brodie Voce for first place above.

Click New

You are immediately sent to a look up table of eligible students.

Showing all female 15Yr or less

Showing all female 15Yr or less

Enter VOC in the Surname Filter

The table displays matching students

The table displays matching students

Press the Enter key

Given the next available place

Given the next available place

The student is entered into the next logical place and you may enter the performance.

Getting Stuck with the Lookup Table

If your cursor is on <new> and you change your mind about adding a competitor, the Cancel button doesn't work because the look up table takes over, and keeps popping up.

Press <ESC> to close the windows.


Using Multiple Computers for Results Entry
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Results Entry can be intensive, especially for athletics carnivals where field events are on at the same time as track events. Spreading the data input over more than one PC is useful.

Essentially there r\are two ways to do it.

1. Have one or more independent computers (i.e. not networked) recording some events as well as the primary computer. At some point these computers save their results to a file. That file is transferred to the primary computer for import.

Caution

Note that secondary computers only export results, not students. This means that if secondary computer adds a new student because they show up in an event, the primary computer will not "know' about them and the subsequent results import will carry a result for an unknown student. This may get remedied in the future, but for now, if a new student turns up in an event, let the primary computer enter that student and handle the results of that event.

2. Have one or more networked PCs working on the same set of data as the primary PC. These computers will each be working on results for distinctly separate events.


Separate Computers
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Steps to set up secondary computers for results entry

Install SportsTrak 3000 on secondary computer(s) and make sure that it (they) have been registered. See Registration.

From the Primary Computer

The primary computer is the one that has the program on it, and where results will ultimately reside.

From the primary computer's SportsTrak, File Menu, using the options shown below, Create the Backup

This creates a compressed zip file such as shown here, where the lineage name is part of the file name.

but also saves it On-Line:

From the Secondary Computer(s)

Either

1. Copy the zip file from the primary computer, saving it in the SportsTrak program folder. Then do a File Menu, Restore Backup

or

2. Restore the Backup from On-Line, also from File Menu, Restore Backup

After restoring, make sure this Carnival is Set as Current and results may be entered

Combining the two sets of data

When results have been completed on the secondary computer they must be

Exported from the secondary computer using the Export to file button.

Imported into the primary computer using the Import from file button.

Exporting to File from Secondary Computer

The above window describes the action: A Saved file is created that includes the machine name in the file name

That file can be copied to a convenient location such as a memory stick.

Copy that file to the Primary Computer

Most conveniently, save it to the SportsTrak program folder of that PC

Import the Saved File to the Primary Computer

Select the file and Import Results

This displays events for which results have been saved.

The default action is that results on the primary computer have priority if it has results also for an event. That means the secondary results will be overlooked for such an event. However, that can be over-written by checking Overwrite Existing Results if desired.

After importing you should Recalculate Scores because the import process just brings in the results; it does not process them


Network Connected
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Guide for Using Multiple PCs for Results Entry

This guide explains how to safely use multiple computers to enter results into the scoring system when all data is stored on a central computer.

Following these steps ensures fast performance, prevents file‑locking conflicts, and avoids Windows‑related issues.

It is also important to have trial run with the networked arrangement before the carnival day.

1. Overview of the Multi‑PC Setup

In a typical carnival setup:

·PC1 (e.g., Dreadnought) stores the data files (.fic files) in say C:\SportsTrak3000.

·C:\SportsTrak3000 is shared on ther local network, with full permissions.

·Other PCs (e.g., Zorro, Victory) run their own copy of SportsTrak 3000 and have their Data Path set to the share name folder on Dreadnought.

·They may then enter results or competitors to PC1 over the network.

This works reliably as long as Windows, network sharing, and antivirus settings are configured correctly.

Do not use Cloud based storage such as Google Drive, Drop Box, One Drive for the program or data

2. Windows Network Requirements

2.1 All PCs must be on the same network

·Same Wi‑Fi or Ethernet network

·Same IP range (e.g., 192.168.15.x)

2.2 Disable “Offline Files” on all PCs

Offline Files can cause:

·Cached copies of data

·Phantom locks

·Corrupted updates

·Slow performance

How to disable:

1.Open Control Panel

2.Select Sync Center

3.Click Manage Offline Files

4.Click Disable Offline Files

5.Restart the PC

This is essential

3. Shared Folder Setup on the Data PC (PC1)

The folder containing the data files must be shared correctly.

3.1 Folder permissions

Right‑click the folder → Properties → Sharing → Advanced Sharing:

·Tick Share this folder

·Click Permissions

·Allow:

oRead

oChange

o(Optional) Full Control

All workstations must have permission to read and write.

3.2 NTFS Security permissions

Folder → Properties → Security:

·Ensure Users or Everyone has:

oRead & Execute

oModify

oWrite

Both Sharing and Security permissions must allow writing.

4. Antivirus Configuration (Very Important)

Antivirus software can delay or block access to .fic and .ndx files, causing:

·Slow saves

·Lock conflicts

·Failed writes

·“File in use” errors

4.1 Add exclusions on all PCs

Exclude the following on every computer:

·The shared data folder on PC1

·The program folder (where the EXE and DLLs are stored)

·The EXE itself

·All .fic and .ndx files

This prevents scanning delays during saves.

5. Running the Program from a Shared Folder

You may run the executable:

·From each PC’s local drive, or

·Directly from PC1’s shared folder

Both methods work.

If running from PC1’s shared folder:

·Ensure Offline Files is disabled

·Ensure antivirus exclusions are applied

·Do not replace or attempt updating the EXE while other PCs are running it

All PCs should always run the same version

6. Handling Simultaneous Saves

The scoring system supports multiple PCs saving results at the same time.

What happens during simultaneous saves

·The system uses safe retry logic with exponential backoff

·If two PCs save at the same moment, one may wait briefly. This is normal and handled automatically

If a save fails after all retries, the operator will see a message:

“The save could not be completed. Another computer is updating results right now. Please wait a moment and try again.”

This prevents data loss and keeps the system stable.

7. Network Stability Tips

To ensure smooth operation:

·Prefer wired Ethernet for the data PC (PC1)

·Avoid weak Wi‑Fi connections on scoring PCs

·Do not use power‑saving modes that turn off network adapters

·Ensure all PCs have stable IP addresses (DHCP reservations recommended)

8. Recommended Startup Procedure

Before the carnival begins:

1.Turn on PC1 (data PC)

2.Turn on all scoring PCs

3.Confirm each PC can open the shared folder on PC1

4.Launch the scoring program on each PC

5.Load an event on each PC to “warm up” the system

6.Begin entering results

This avoids the initial “cold start” delay caused by Windows caching.

9. Troubleshooting Quick Reference

Problem: Cannot connect to PC1

·Check network connection

·Check folder sharing

·Check permissions

·Check firewall settings

·Check IP address of PC1

Problem: Save fails occasionally

·Another PC is saving at the same time

·Operator should retry after a few seconds

Problem: Very slow first save

·Normal Windows caching behaviour

·Restarting the program or PC can cause this

·After the first save, performance is fast

Problem: “File in use” or “Access denied”

·Offline Files is still enabled

·Antivirus is scanning the data folder

·Permissions are incorrect

10. Summary of Essential Requirements

Requirement | Why it matters
Disable Offline Files | Prevents cached copies and file corruption
Correct folder sharing | Allows all PCs to read/write data
Correct NTFS permissions | Ensures Windows doesn’t block access
Antivirus exclusions | Prevents delays and lock conflicts
Stable network | Ensures fast, reliable saves
Do not update EXE while in use | Prevents version mismatches
Do not use Cloud based storage such as Google Drive, Drop Box, One Drive for the program or data | Lots of reasons - main issue is how they synchronise and when files are updated. If multiple computers all update files at the same time, data can be corrupted.


Massed Entry
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Navigation: »No topics above this level«

Massed Entry Window

Massed Entry Window

What is it?

Massed Entry is an area of SportsTrak that allows you to quickly enter results for a given event type for any student, without having to worry about the age group or gender. It can be used with multiple computers working with shared data on a network, so if you have to enter hundreds of results in a couple of hours you can spread the work load.

These raw results can then be used as the input data for a program of events. This means that if students are competing in a cross country, or performing trials, you don't have to choose which age/gender event they should be in. SportsTrak works it out.

Performances may be entered as

1.Just a performance e.g. 12.7 12.3 14.7

2.Just a place: 1 2 3 4 5 ....

3.or both the above.

How can I use it?

Trials

Example: Selecting an Inter-school squad

You need competitors for an inter-school age group based carnival. You use Physical Education classes to obtain trial performances from each student. These performances are entered in the Massed Entry area, over several weeks, for different events.

In SportsTrak, you set up a program of events as used in the inter-school carnival.

After entering the Trial performances under Massed entry, SportsTrak can choose the best performers by age and gender to enter as competitors into the events.

You can then edit these competitors and print lists to help the organisation of your squad.

The trial results can also be fully scored as if they competed in their programmed event.

Cross-country

Competitors run the cross country and are given a place and perhaps a time. The results come to a small network of computers and are entered using Massed Entry.

These results are processed into an age structured program of events.


Overview
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Navigation: Massed Entry >

Massed Entry allows you to give any competitor a performance or comparative placing in an event (eg 100m) without regard to their gender or age. It works in conjunction with a Program of Events.

For example, if 100m trial results are being collected under Massed Entry you would have a program of events with 100m events for different ages and gender.

Processing the massed results sorts them on the basis of the events in the program. At any point you may process massed results into those events and repeat it any number of times.

Option 1

Sorts the competitors by Age/Gender and puts the best as competitors into the relevant event(s) on the program.

Option 2

Adds competitors but goes a step further and pretends the event was actually run with those performances and processes the events, generating Team and Individual Scores


Trials
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Navigation: Massed Entry >

Scenario:

You want to time many students over 100m and use those times to seed them as competitors in both the A and B events.

Set up the carnival first

Ensure you have a carnival set up with a program of events that includes your trial events.

You require a program even if you are not actually running the carnival.

The event order does not matter except that if you are running A and B (or C) events then A events must precede B or B events must precede A.

The priority of events must be consistent through the program.

This example only has 100m events but they could also be part of a more complete program.

Program of Trials

Enter performances

Go to the massed results window using this toolbar button from the Massed Entry menu:

Massed Results Window before any events entered

Massed Results Window before any events entered

Insert 100m (and any other events that are being trialled) by clicking the Insert Event button. The look up the event you want.

Looking up the 100m

Looking up the 100m

After adding 100m

After adding 100m

After adding the event(s) View/Edit Performances is active.

Note the prompt Sort Competitors by Surname or Student Code. Choose whether it is easier to locate students by their Code or their Surname. (I have chosen Code)

Click Enter Performances

Full student list - entering performances

Full student list - entering performances

For trials you would choose to enter Result Only at the top.

Clicking Locate Student Code I can enter the first characters of the code and I am offered the matching competitor(s)

Clicking on KEN05 I can edit her place directly in the table

17.5 secs is entered as 1750 then OK or <ENTER>

When entering performances it does not matter what order they are entered in.

The student list has the entire school in it.

You can add results for different ages (or year levels) at the same time.

Add all or just some of your results. You can always come back to it, even after processing.

After entering some results, then sorting on Performance (two clicks on the heading to bring results to the top)

After entering some results, then sorting on Performance

(two clicks on the heading to bring results to the top)

You can also use the Update Selected Competitor to call up a competitor to edit Place or Performance

Using the Update button rather than entering on the line

Using the Update button rather than entering on the line


Processing Trials
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Navigation: Massed Entry >

Check the appropriate options:

ProcessBy

Depending upon whether competitors were given just a place or whether they were given a performance result.

For trials, it is usual that a Performance is the key item, whereas for cross-country in may be just Place

SelectBy

Best by House might be what you choose if you are trialling for an upcoming house carnival.

Overall best might be if you are processing Cross Country Results. In this case overall best may be set at 99 to get everyone in each age group.

PlaceBetter

You may have A and B events of the same type and the same Gender and Age/Year. If A events precede B events, then tick this option as Earlier, otherwise Later

TreatasResults

If this is checked, then processing:

•adds competitors to each event

•takes their performance (or place) as an actual result

•scores the event

If not checked, competitors are just placed as competitors in their matching event.

then click Process the Trials

The process sorts all student by performance then looks for the related events on the program regardless of the grade. It fills the events with the best performers of the correct gender and level and scores them if that option was selected.

If you add later results via Massed Entry, you can re-process, which strips out results and competitors from those events first.

After Processing, go to the Carnival Day menu and examine the results of the processing

This example shows how 8 competitors have gone into the A events, but there is an overflow of some age groups into B events.


Cross Country
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Navigation: Massed Entry >

Organising a Cross-Country

When creating a cross country carnival, set Athletics as the carnival type.

(In previous versions of SportsTrak, Cross Country was a separate carnival type to Swimming or Athletics. Its program only contained Cross Country events for each age and level. This was an annoying constraint for some schools as they wanted a few other event types in as well, so we have just got rid of that option. Athletics covers it now)

In the Library of Events, you require and event type of Cross-Country or similar name (Timed, Track, Normal)

Set up a Program of events with a Cross Country for each level and gender. Often this means 12 events.

Rather than A grade, I'd suggest X grade on the program because you will maybe want placings to go well beyond a typical A grade athletics event.

See Score System

Scoring a Cross-Country

How to score a cross country can be a difficult decision. In the interests of scoring fairness every house should have the same number of contestants but this this can usually only be enforced in an Inter-school carnival. Within a school you want maximum participation and the numbers per house will always vary.

If you are not interested in overall house/team scores then the score system is essentially irrelevant because you are only interested in placings, which can be printed without requiring scores.

One approach to this problem is to only score the best few competitors per house, regardless of how many competitors there are per house.

Using Massed Entry with Cross Country

Add Cross Country as the event type in massed entry.

On the day, you require a place for the number of contestants that you want to record. Maybe it is all of them. Thus maybe you have a sheet upon which the placings are written manually at first.

When recording placings, do not bother trying to sort by age/gender. Just overall relative placings. As long as everyone in that age/gender group have the same starting time (even on a different day), those placings will identify the relative positions of each of those competitors.

You might record the Performance for the first handful of finishers, but after that there is usually no real need for this. Their relative placing is what matters.


Entering Cross Country Results
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Navigation: »No topics above this level«

We suggest this method for a general Cross Country

Enter results in the order that competitors cross the finish line.

This may mean that competitors queue up to recorders or their names are written down on a sheet as they cross the line. Times may be recorded at this point or you may have separately recorded times that need to be entered a bit later.

Record by Place if...

you don't care about times

you will put some in later

Choosing Place

Record by Result if you have the competitors' performances.

But make sure you enter them in Place order because SportsTrak will automatically assign the place and will process the results using Place.

After you have entered as many performances as you require for each age/level you may then switch to Place Only for the rest of them.

Chossing Result

Your results will look something like this. (The times were entered only for the documentation)

The place is not age group specific. It is based on overall placing. Leave placings this way. Later processing sorts them into age group placings.

It doesn't matter whether the age groups or genders run different courses as long as the place is consistent within the age group.

Note that the table can be sorted on Place (as shown here). This prevents the Surname Locator working.

<SHIFT-CLICK> on Place to clear the sort order so that you can revert to locating by surname.

See here for Sort Orders

Entering some performances, then just place

Processing Results

Note that you can process multiple times. Each time you do it the process clears all competitors and results and works afresh from the massed results using your selected options.

Process By Place

To process by performance requires all competitors to have a performance entered. This is usually not done and even when it is is often not accurate.

Process by Overall Best

Overall Best would be the most commonly used option here.

However Best By House may be relevant to some situations. For example in an inter-school competition where schools provide say 5 runners at each age group and the best 3 are used to decide the team championship.

If the number to process is different per age group...

process them separately

print the specific level based reports

repeat the processing with a different number.

Processing Options Selected

Also Score these Results

This needs to be checked so that results are carried through to the listed events and scored.

After processing

Go to the Results Entry Window

All of the massed results have been sorted into each specific event as competitors and fully scored as results.


Import-Export
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Navigation: »No topics above this level«

Import/Export features allow data to be transferred from different systems such as older SportsTrak, timing systems, and admin systems and to/from applications such as Excel for editing.

Import Students typically gets used for every carnival. There is no way you are going to manually enter hundreds of students.

It is located on the Student menu:

Importing Competitors is not for everyone, but is provided from the Program and Competitors menu and is described here.

Competitor entry options are here

Competitor entry options are here

Other exports are found on Menu 7 Import/Export

The Import/Export Menu

The Import/Export Menu

Exporting and importing the program can be useful for massively altering a program of events. Described here.

Results Import/Export is used when results are entered on another computer and must be transferred to the main computer.

Importing from SportsTrak 2200 is important for those who have existing carnivals set up in that version of SportsTrak. Described here.

Most of SportsTrak's Import and Export is performed with CSV files. See this section if you are not sure about what CSV files are.

CSV files can be created by any Administration export software and are saved as plain text, so you do not require specialist software to edit them


Import Students from CSV
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Navigation: Import-Export >

The school administration should be able to export a list of current students to a text file.

It should contain the columns below and be be formatted as CSV (Comma Separated) for import to SportsTrak.

The import does not use a header row, but if included, there is an option to ignore it when you do the import

COLUMN NUMBER | COLUMN CONTAINS | REMARK
1 | Student Code | Not essential. If missing, SportsTrak creates a code
2 | Surname | Required
3 | Given |
4 | Initial | Not essential, but can be useful to distinguish two students John K Brown, John M Brown for example.
5 | Date of Birth | Format can be: DD/MM/YYYY or DD/MM/YY or YYYYMMDD eg 27/8/2007 or 27/08/07 or 20070827 - fairly flexible
6 | Gender | F, M, or U for unspecified
7 | House | Can be full house name, or the house code as entered in SportsTrak. Take care here, sometimes the admin computer generates a variation.
8 | Year Level | Typically Year and Form, but can be just Year eg 7, 8, 11, 12, or 7A, 07B,


Preparation of the Student CSV file
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Navigation: Import-Export > Import Students from CSV >

You usually require a text file from the school's administration that looks like this in Excel:

StudentCSV in Excel

Column Positions | The positions as shown will import directly. If another column order is used it can be modified on the import window.
Headings | Are not required. If present, check the box The data includes a header line otherwise the headings come through as a weird student
Student Code | Is desirable and usual, but not essential. If missing, SportsTrak creates an arbitrary one.
YrLvl | Is required if the basis of competition is Year Level. Use notation such as shown. Year Level 2 characters followed by optional form designation, no space
Initial | Is not essential. Leave the column blank if not used.
Date of Birth | Should be DD/MM/YYYY. This is required when age groups are used as the basis of competition.
House | Can be the House Name as entered in SportsTrak OR House Code as entered in SportsTrak. Just make sure you are using the same name or code as SportsTrak has entered already. If there is a difference you can change the way SportsTrak names houses, or change all the house data in the import file.
When Saving, DO NOT SAVE AS EXCEL. Save as CSV. The actual file name is not important From the File Menu of Excel:


Student Import
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Navigation: Import-Export > Import Students from CSV >

After the student CSV file is prepared, select that file as shown:

(You may also Drag'n'drop the file from Windows File Explorer directly on to the table)

After selecting the file, or dropping it on to this table, the columns are populated in the order of the CSV file.

If the column data does not match the column headings, drag the column headings to match. If your data has a header row, tick the box shown below.

Note: Date of Birth may show as YYYYMMDD as above or DD/MM/YYYY as below. Either is fine.

You may totally replace any existing students, or add to existing students.

Add to Existing students:

The import will check if the same student code already exists, and if so, will update the personal details based on the import data. It will not add an extra student in this case. This means that if you have Competitors or Results they will not be affected by the import of fresh students.

Replace Existing students:

If Competitors or Results exist, you are warned and can cancel the import. Otherwise any competitors and results are removed and team scores set to zero.

When satisfied, do the Import.

After Importing, go immediately to the Students table and scroll through it, looking for incomplete or erroneous data.


Import/Export Program
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Navigation: Import-Export >

From Menu 7 or Menu 9, you have options of Excel or CSV for sending or receiving a program of events, particularly for interacting with a SportsTrak 2200 user.

Excel is probably the better way to go, but not all users may have Excel, so CSV will be required.

Export to Excel offers two options depending upon whether the recipient is a ST2200 user or ST3000 user.

ST3000 uses Sequence No as well as Event No for events whereas ST2200 only uses Event No.

This means the two Excel files have different columns , so be aware of this when sending them out to other schools.

If sending to an ST2200 school, event numbers must be purely numeric, as noted in the mauve text above.

You may choose to export the program of events to CSV file because

a) It can be easier to make mass changes to the order of events

b) You want to send the program to another SportsTrak user to Import

CSV files are typically edited using a spreadsheet like Excel.

If you are unfamiliar with handling CSV files this guide has some general guidance here.

Specific rules for editing the program of events are here

Export to Excel Instructions

Import from Excel Instructions

Export to CSV Instructions

Import from CSV Instructions


Export To Excel
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Using this window, the Excel file is created.

Export To Excel

Export To Excel

Depending the check box, you get this:

ST3000 formatted file. Note the Sequence No Column

ST3000 formatted file. Note the Sequence No Column

Excel File in ST2200 format

Excel File in ST2200 format

Column E has funny heading. Not sure why. Does not matter.


Import From Excel
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Both SportsTrak 3000 and SportsTrak 2200 have the ability to export the program to an Excel format.

The formats are slightly different because ST3000 has a column for the event sequence number as well as the event no. ST2200 only has event no.

Very Important

The Excel Import over-rides the Current Carnival in the Current Lineage. If the current carnival is important, then save it.

If the Current Carnival does not exist, you need to make one. You need age groups or year levels, scoring grades, library of events. You do not need events.

Click Select Import file, then Load Selected File for Checking

This fills the grid: Note that it identifies the file as SportsTrak 3000 format with the Sequence column C.

Having Selected an Excel file

Having Selected an Excel file

Make sure that any Excel sent to a ST2200 user is the format below. SportsTrak 3000 typically would need to import this file if it was sent from an ST2200 computer.

This file is SportsTrak 2200 compatible.

This file is SportsTrak 2200 compatible.

After Loading, click Check File

If no problems, you get:

Clean file

If there are issues found, columns get highlighted and erroneous rows are identified. In the case below, its all rows!

The cause of these errors is that the Lineage in to which the import is bring the Program has not been set up with a Library of Events or Age Groups.

This is actually easy enough to resolve, but must be sorted before importing again.

Problems with this one

Problems with this one


Export Program to CSV
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Navigation: Import-Export > Import/Export Program via CSV >

The first screen shot below explains the basic rules you must follow. They are also listed here on this page.

After Creating the File, you may Open the Folder and load the CSV, usually in Excel:

Rules for editing the data

If Excel prompts about Leading Zeros, it does not matter what you choose

Moving rows up or down is generally safe, but do not move columns

Sequence Number

Each entry in the program must have a unique Sequence Number, usually beginning 1, 2, 3....

Event Numbers

Event numbers are often the same as the Sequence Number, but do not have to be.

Event Numbers may include text. For example 3A, 3B, 3C may be separate heats with visually connected Event Numbers

Messages

Column P must be set to 1, so the program knows it is a message and not an event.

A message's event number must be unique in the format Msg1, Msg2, etc.

A message must have a Sequence Number to locate its position within the program

The message is written in Col O, Other Info

Event Types

Event Types are usually Ordin (ordinary) but can be Heat, SemiF, QtrF, or Final.

Heat, SemiF and QtrF must have a Final No, which is the Event Number of the final.

For Finals and related events it is best to import the program and edit the details of the final, such as Final Type, from within SportsTrak.


Import Program from CSV
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Navigation: Import-Export > Import/Export Program via CSV >

Select the Import File and view it.

Select the CSV File

The table below displays the data in the respective columns, checks the data for obvious errors, and lets you check that the columns are logically filled.

If errors show up, close this window and remedy the error in the original CSV

You may Import it, receiving this query first. Note that the existing program is overwritten.

You should then review the program.

View/Edit the Program

View/Edit the Program


Export/Import Competitors
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Navigation: Import-Export >

Rather than entering pre-students into events via SportsTrak's windows under the Program of Events menu, some users prefer to import directly from a data file.

These Export/Import features enable this.

This option produces a set of CSV files, one for each house and the window below describes the process pretty well.

Basically you get a separate file for each house, that can be edited for re-import.

From the Competitors button...

Buttons to export and import competitors

Buttons to export and import competitors

Firstly, export the student lists to CSV

Separate house list CSV files are created for each house/team with the Team Name as part of the file name.

After creating the files, they can be opened in Excel or similar, looking like the screen shot below.

If Excel comes up with the message shown below, choose Don't Convert, otherwise some student codes might get turned into dates as shown.

Don't Convert keeps things as they should be...

Add event numbers to students in the columns following the student code

Save the updated file in CSV format

Importing the Students' events

You may import students' events from the files created above. Those files can be in the format shown at left , which is the format the above export uses.

However, it maybe that you have the student codes from another source. In this case your data may look like the right hand side format. Either way works as long as event numbers follow student code.

After clicking the Import file, I get a response message. In my sample data I only had 3 events for a particular student.

Checking in the Events to Student window, I can see the events have imported correctly.


Inter-School Management
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Overview

What is needed by the Inter-School Organiser (ISC in this document)

At the Inter-school carnival SportsTrak requires

1.the program of events

2.records

3.pre-entered competitors from participating schools

4.optionally, student data from participating schools

The ISC is responsible for the program, either creating it from scratch and entering the records, or preferably.

In ST 3000, ideally these I/S carnivals should be in a single lineage where records from one year automatically are present next year.

The competitor information comes from the competing schools, most preferably in a computer file that can be imported.

Most Import/Export activity can be performed from this menu:

The Inter-School Menu

The Inter-School Menu

What the ISC does:

·Sets up the carnival in the same manner as any carnival.

·Provides schools with a copy of the SportsTrak program. Schools with ST3000 can be sent an Excel copy of the program that they can import, or a Backup file that they can Restore. ST2200 users can be sent a CSV copy of the program for import.

·Schools without SportsTrak 2200 or 3000 can be sent a Blank SchoolTeam.CSV into which competitors may be entered.

What is SchoolTeam.csv?

This is an Excel compatible spreadsheet file created by SportsTrak with all events listed into which competitors can be entered.

SchoolTeam.csv can be created from the school's own carnival results using a wizard or the spreadsheet can have competitors entered manually

The Inter-school SportsTrak can import the competitors from this file.

Schools with SportsTrak

If the school has SportsTrak, an electronic copy of the IS carnival can be sent to them for import.

The Schools' Coordinators (SC)

·can enter their own competitors into the events

·print out whatever competitor-listed reports they desire

·create a competitor-filled SchoolTeam.csv file and send it back to the ISC for import

·optionally they can also send a full student list in case of team changes on the day

If the SCs used SportsTrak for their carnivals they can use the Step by Step Guide to migrate competitors from their own carnivals into the IS carnival and then produce SchoolTeam.csv.

Participating Schools without SportsTrak

If the participating school does not use SportsTrak they are sent a blank SchoolTeam.csv into which they will enter their competitors and return to the ISC.


Sending out the Program
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Participating schools need to have a copy of the program into which their own competitors can be entered.

After that, they send a data file name SchoolTeam.CSV (or similar) to the host organiser.

There are a few options for sending the carnival to these schools:

Data Movement Options

Data Movement Options

Send a Copy of the carnival to schools

Create an export file and email it to schools. There are 3 ways of exporting up the program. Each one tends to relates to how the school itself is set up with respect to SportsTrak: No SportsTrak, ST2200, or ST3000.

Ultimately, you could just send all three formats to all participants and they choose the most suitable for themselves.

Export Options

Where are these files?

A Carnival Backup is a compressed zip file located in the Backup sub-folder of SportsTrak 3000

The CSV and Excel files are created in the common data folder, listed on the bottom of the main Window.

Schools also need instructions.

Instructions to the schools are contained as Word and PDF documents in the Documents sub-folder of SportsTrak3000.

There are different documents depending upon whether the participants use SportsTrak or not.

The Word documents can be edited with more specific information if required.

Schools need to know:

·Their Team Name and Code (and probably all Team Names and Codes.)

·Number of Competitors required per event

·Are emergencies required?


For Participating Schools
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

You need to send a list of competitors to a higher carnival, an inter-school one most commonly. This list is a comma separated text file (CSV) named either simply SchoolTeam.CSV or SchoolTeam_XXXX.CSV where XXXX is your Team Code to be used at Inter-School.

To prepare your competitor list, you first require from the inter-school coordinator (ISC):

The Inter-School program of events

If both lower and higher carnivals are being managed using ST3000 the the Carnival Backup is the most complete way to go. You get the program of events, plus age groups, teams etc already entered.

If the ISC is using ST2200 and you are using ST3000, you cannot get a program backup as above. You need to Import Program from CSV.

Before importing the program you must create (or already have) a Lineage within which to place this Carnival. In particular this lineage must be set up correctly for Year Level or Age Basis Carnival.

Set up the Lineage First

Set up the Lineage First

Team Code and Name under which your school is competing.

You may have house names against students but the competition requires a school identifying code.

eg Students are in Houses RED, BLUE, GRN, YLW but compete at inters-school as South Coast College SCC

However, at zone carnivals, the competitors may compete with the same team code at both carnival levels, so that is an option when exporting competitors.

eg Lower level was actually an inter-school with teams SCC, NCC, ECC, WCC and the competitors progress to a zone carnival competing for their school using the same code.

Number of Competitors required for each event type and whether to include emergencies

Options for the Creation of SchoolTeam.CSV

Your Situation | Best way to do it
You have SportsTrak 3000 and have results in the lower level carnival (eg Inter-House) | Use the step by step guide on menu 9. Inter-School to connect the two carnivals and add your competitors
You have SportsTrak 3000 but do not have a lower level carnival to draw competitors from. | Import the Inter-School Carnival sent by the ISC Import your Students into that Program Select Competitors into the events based on whatever information you have. Create a SchoolTeam.CSV export file and send it to the ISC
You don't have SportsTrak (probably not reading this then!) or cannot do the above. | You may have been sent a SchoolTeam.CSV from the ISC file that just lists events, with spaces for competitors. Follow the instructions elsewhere in this guide and send the updated SchoolTeam.CSV back to ISC


Inter-School Setup Guide
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

From the Inter-School Menu

From the Inter-School Menu

We refer to inter-house and inter-school for convenience. Inter-house can refer to any lower carnival: Inter-school to any higher carnival that sources its competitors from the lower carnival.

The setup guide assumes:

·That you have run a local carnival and have results for it

·That you have a copy of the inter-school program

·Both carnivals set up are among this SportsTrak's carnivals

It steps you through the process of getting your best competitors into the inter-school carnival.

1.Identify the two carnivals

2.Identify your team code

3.Identify corresponding events and set the number of competitors required in each event

4.Let SportsTrak select competitors based on the results

5.Fine-tune the competitors yourself

6.Export competitors to file for the inter-school organiser

Importantly, the guide does not require both carnivals to be both Year Level or both Age Group based.

Often a lower carnival is Year Level based but the higher carnival is Age Based. This works fine as long as the students in the Year Level carnival have had their Dates of Birth imported. This means they will have an Age Group and the Guide can use it to pick competitors.

Step 1 Identify the two carnivals

Step 1 Identify the two carnivals

Use the two lower right buttons to identify the related carnivals. Higher carnival will be red, lower carnival blue.
Specify the two carnivals

Specify the two carnivals

Step 2 Select the team code to be used

Step 2 Select the team code to be used

The drop down list displays team codes from the inter-school carnival, so it is probably a school's code you select here.

At some carnivals, competitors remain in their original team (their lower carnival team). The check box Keep Original Team (or house) Code is for this purpose.
Step 3  Match events and set no of competitors

Step 3 Match events and set no of competitors

The table shows perfectly matched event names, but that is not always the case. If the higher carnival has 90m Hurdles, but the lower carnival does not, the right hand column will be empty. But if the lower carnival had 80m hurdles, that could be selected using the red circled drop list.

You would also need it if the same event has different spellings. 100m does not match 100 m so you would have to look it up

Set the number of competitors using the Set button in blue, or directly enter in the table where individual events have a different number.
Step 4 Choose Competitors

Step 4 Choose Competitors

All lower carnival students are moved into the student data of the higher carnival.

The lower level results are used to populate the competitors in the higher carnival.

You may have had a student who did not compete in the lower carnival (say due to a legitimate absence) but require him/her to compete at the higher carnival. Because all students have been copied across to the higher carnival it is straightforward to edit the competitors and include them.
Step 5 Fine Tuning

Step 5 Fine Tuning

Check each event

Check each event

This uses the same windows as Menu 4 for editing competitors.

Step 6 Export the Competitors

Step 6 Export the Competitors

.

Historically Export to CSV is the way to go. Send this file to the inter-school coordinator.

The file name includes the school code

The file name includes the school code

Exporting the Full Student List is desirable.

It exports all students using the Team Code as specified in Step 2 above.

If keeping the original team code, the export file is Student.csv.

If using a replacement team code(say XXXX in Step 2), the export file is Student_XXXX.csv

If repeated, the old file is kept, but the new file as a 1, 2, 3 etc at the end of the file name


Filling in a blank SchoolTeam.csv
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Editing a blank SchoolTeam.csv file

If you have received a SchoolTeam.csv file from your inter-school organiser, open it in Excel. It will look similar to this. Each event is represented with one or more lines. If it is one line per event, then one competitor is required per event. If 2 lines per event, 2 competitors may be added, etc.

Sample SchoolTeam.CSV sent  by IS Coordinator

Sample SchoolTeam.CSV sent by IS Coordinator

Required data on each line

Surname, Given, Team Code

(if you don’t know your Team Code, check with the inter-school organiser)

Optional

Middle initial (only used to distinguish 2 students with same name otherwise)

Qualifying Distance or Time (can be used to seed heats into V formation). Times are entered as MMSSHH always ending on the hundredths.
eg 22.75 Enter as 2275 ; 11.7 Enter as 1170 ; 1:05.7 Enter as 10570

Ignore Col N - DoB (is calculated by SportsTrak approximately based on the event age for age group carnivals). However, if you do enter a DoB, it will be used by the import.

Example

SchoolTeam.csv filled in by direct entry

SchoolTeam.csv filled in by direct entry

Notes on this example

Data must be entered for Columns F, G and I

Col H - add an initial only if two kids otherwise have the same name

Col L - if this competitor is an emergency, capital E

Cols J and K describe the age range that an OPEN age group covers.

Check your data

Where the same competitor is entered into several events, make sure their name is spelt the same in each case.

Saving your Spreadsheet

Go to File > Save As...

STCSVSave

Pay attention to which folder file is being saved into

Put your school's code in the file name

Save as type .csv

Click Save, and you will get this message...

Click Yes

When quitting Excel, you will get this prompt to save...

This is asking whether you want to save the file as an Excel .xls file.

Click Don’t Save

Email the data file to your inter-school organiser


Import School Teams

No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Schools have sent you their competitors in a file named SchoolTeam.CSV or similar. They may also have sent you a full CSV file of students.

I suggest that you do the full student import first because it contains official data that is correct, in particular Dates of Birth and Student Code.

Importing the SchoolTeam file looks for the kid by name, so it is best if they are already there.

If it cannot find a matching student, Import SchoolTeam creates a student code, adds the kid, and may calculate a date of birth that works, but is not necessarily correct.

If you Import Competitors first and then follow up with Student Import, you must choose Add, not Replace existing students. Add will insert missing kids and will amend student data that it thinks is incorrect.

A word on SchoolTeam.CSV file names

If the file name is SchoolTeam.csv then it has been created with events only. It may be sent to schools for them to complete so may later on have competitors in.

A name such as SchoolTeam_PORT.csv has been created by SportsTrak as a competitor listed file and the school code automatically added by SportsTrak.

If you receive a file named SchoolTeam.csv from school MGHS (with their competitors manually entered into it), immediately rename it yourself as SchoolTeam_MGHS so that it does not get confused with others.

Two buttons do the same thing

Two buttons do the same thing

The table below is initially blank. Select a schoolteam.csv file using the Look Up button to display it.

If the team codes were not correct there is an option from the Keep Existing drop down list to change it.

View before Adding

View before Adding

When satisfied Import the Entries

After Importing

Importing these competitors adds them into the student file. It creates a student code that may not be the official student code. If DoB is missing an arbitrary one is calculated from the age group of the event. However these do not matter, although they can change if you choose to import all students below.

Import all Students, not just competitors

If you have been sent a full student list to import from school you can import them all, but make sure you check Add to Existing Students, not Replace.

Replace first cleans out all Students, Competitors and Results so it will undo the previous good work!

The Add to Existing Students checks if any student has the same Surname, Given, and Initial. If so, it assumes the kid is already in the data and may update date of birth or student code, but will not remove them from the existing competitor list. This file is probably from the school admin data and will be accurate.

Make sure you tick Add

Make sure you tick Add

See here for Importing Students in this guide


SportsTrak 2200

No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

SportsTrak 3000 is a development from SportsTrak 2200 but has different data organisation so cannot directly read its carnival data. However a degree of interaction is possible.

SportsTrak 3000 requires the ability to interact with SportsTrak 2200 data for several reasons.

1. You may wish to convert a version 2200 carnival into version 3000 if you are upgrading.

2. Schools in an association may run both versions and yet need to send competitor lists to an inter-school carnival organiser

From Version 3000 you may:

Import any SportsTrak 2200 carnival.

This is important if you are upgrading from Version 2200 so you do not have to start building a program from scratch, and existing records are brought across. Ideally you would bring in sets of carnivals that belong in a lineage, such as Inter-House Athletics from several years.

Import/Export a CSV file of a program of events.

Working in ST3000 as an Inter-School organiser you may need to send a copy of the program to ST2200 users at other schools so they can add competitors. The format of the CSV file is identical between the two SportsTraks.

The one constraint is this: If you are sending a program of events to ST2200, the event numbering must be purely numeric 1,2,3...

ST3000 allows event numbering such as 3-A, 3-B, 3-C to better identify heats etc but SportsTrak 2200 does not handle that.

Import/Export SchoolTeam.CSV

This is a text file listing events and competitors that can be imported into the current carnival

Inter-School Carnival Strategy

It is useful for participating schools to be able to send a data file of competitors to the carnival organiser.

This file is referred to generally as the SchoolTeam.CSV file, although it usually is sent with a Team Code appended to the file name, such as SchoolTeam_PORT.csv.

The way it usually works is this:

1.The I/S organiser sends a list of the program of events in Program.CSV to participants to import.

2.The participants have set up the carnival's basic details, Carnival Type, Dates, Age/Levels etc. They can then import the Program.csv. They may need to check that the Library of Events includes those events on the actual program.

Both SportsTraks have a guide where competitors from an inter-school carnival can be selected from the results of an inter-house carnival. Otherwise, students need to be imported into the Inter-school carnival from the school's database and then competitors entered into events.

3.The send those competitors back to the organiser in a SchoolTeam.CSV file

4.The organiser receives these files, and because they have the school's team code on them, are easily identifiable and can be placed in the same folder with a name conflict. eg SchoolTeam_PORT.csv, SchoolTeam_HAM.csv

These two file formats are common between ST2200 and ST3000 so it does not matter which version of SportsTrak is being used.


Import from SportsTrak 2200
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Navigation: Import-Export >

Background

You may import SportsTrak 2200 data into SportsTrak 3000 one carnival at a time. Because neither version of SportsTrak can read the type of data file used by the other, the import has to first migrate the ST2200 data to another format that ST3000 can also read. This makes it a two step process. Export from ST2000 to a common data format then import to ST3000 from that data. Sounds clunky but it works well.

Lineage

Lineages are fundamental to ST3000 because carnivals often operate in a sequence, but in ST2200 all carnivals are separate in different folders and have no actual connection with each other. So the imported carnival needs to be placed in a lineage.

Before Importing, have a think about the Lineage this carnival will belong to. If a suitable Lineage does not exist, you can either create one before this import, or allow the import to create one automatically.

If you have good data from SportsTrak 2200 in the past over several carnivals of the same type these should be imported into the same Lineage.

Thus, if you have Inter-house Aths from 2022, 2023, and 2024 in different folders, you could create a new lineage named Inter-House Aths and import each carnival into that Lineage.

Import - Two steps

Step 1 - Run the Export Utility

Button to run the Export

Button to run the Export

Step 2 - Import the exported data into SportsTrak 3000

Button to import the data created in Step 1

Note the Data Check button. It is always sensible to run this after any import

Import Details - How it works

SportsTrak 2200 works with each carnival in its own folder. You may select one of these folders and import that carnival into SportsTrak 3000.

There are two complications:

SportsTrak 3000 cannot read SportsTrak 2200 files at all. ST2200 uses TPS files; ST 3000 uses FIC files

SportsTrak 3000 data is differently organised compared with SportsTrak 2200.

An export utility, written in the ST2200 language, reads the set of TPS files in selected folder and writes it into a set of JSON text files.

At Stage 1, that JSON files are written directly into FIC files, readable by ST 3000, but not structured correctly for ST 3000

At Stage 2, the FIC files are analysed and placed into the working FIC files used by ST 3000.

The imported carnival must be attached to a Lineage. You have the option of adding it to an existing lineage or allowing the creation of a new Lineage.

This is all done for you from the ST 2200 group of this menu.


ST 2200 Import Step 1
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Navigation: »No topics above this level«

SportsTrak 2200 has a different data folder for each carnival. You must know where they are before you can import them.

(SportsTrak 3300 keeps all its data in a single folder)

In the example below, I am importing the sample data from the SportsTrak 2200 SampData folder

Click here to run the ST2200 Export Utility

Click here to run the ST2200 Export Utility

Select the appropriate folders then click the Export to JSON button

The number of file generated varies. For example you may have a carnival program only without students, or without results etc.

You can only export one carnival at a time, so go to Step 2, the Import, after this.

DoneExport


ST 2200 Import Step 2
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Navigation: Import-Export > Import from SportsTrak 2200 >

After exporting from ST2200 to JSON format, the data must be imported

From Import/Export, run Import ST2200 data

Impt2200Button2

As this window opens, it checks the JSON files and displays what it has found in green text. If it does not look correct, you may have selected the wrong folder in the previous step, so go back and repeat it.

You can uncheck certain files if you do not want to import them. For example you may not want Students or Competitors, so uncheck them.

Click 1. Read JSON Data

It first tells you what the carnival is about.

The green messages change to display the number of records read in each file

Imp2200 Read JSON

On the right hand side, you are given the option of importing to the lineage "Age Based Athletics", or allow the import to create a new lineage.

In this example, we will leave it as it shows.

Click 2. Create SportsTrak XTRA

Selecting Create a New Lineage will use Lineage names Import 1..., Import 2... successively. These should be renamed by you under the Carnival settings.

Data will import. If results exist for that carnival, the scores will be re-processed.

This carnival is now set to be the Current Carnival

ImportResult


Lynx
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Overview

This utility creates the data files required by the Lynx timing system and then reads the timed placings back to SportsTrak where the results are processed, determining the points etc.

Communicating with Lynx

Communicating with Lynx

SportsTrak does not communicate directly with Lynx.

It saves the important information in text files that are readable by Lynx, and in return, can read text files created by Lynx.

For this to work there has to be a folder where SportsTrak can place these files. If Lynx and SportsTrak are on the same network they can use the same folder, as shown in the diagram.

If a common folder is not possible, these files can be transferred via memory stick.

The utility does two things:

A - Creates PPL, SCH and EVT text files to go to Lynx

PPL is a file that lists People, that is a list of students

SCH is the Schedule of Events

EVT is a list of events with competitors

B - Receives and processes LIF results data from Lynx

LIF contains actual results

Sample Results determined by Lynx

Sample Results determined by Lynx


Create files for Lynx
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Before anything, determine where your Lynx folder will be and whether the Finish Lynx computer has access to it or not.

The folder can be anywhere convenient, maybe a sub-folder of SportsTrak or in the Temp folder as shown in the screen shots below.

If Lynx cannot read/write from that folder then the files can be transferred via a memory stick. LIF files created by lynx should then be copied from the stick into that folder.

From here:

Go to:

The Lynx Utility

The Lynx Utility

A) Creating the Data

After selecting the carnival and pressing the Create button

After selecting the carnival and pressing the Create button

The files can be viewed from the buttons above or viewed in Notepad:

Viewing the SCH file

Viewing the SCH file

Viewing the SCH file

Viewing the SCH file

Viewing the EVT Data

Viewing the EVT Data


Print Marshal Sheets
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Starting Lists sent to Lynx via the EVT file may not always be complete, correct, and accurate.

So...

Print Starters Marshal sheets for all the Track events.

These sheets must get checked and manually corrected by the starters marshal at each event.

Typically:

Add in competitors who were not listed

Remove absent competitors

Add in replacement competitors

Then

Send them straight to the SportsTrak Recorders

As results arrive in SportsTrak from the Lynx timing system, they should be checked against any corrected marshal sheet

All marshal sheets should go to the Recorders, even if there are no changes, so the entire set is always together.


Read Results from Lynx
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

From the B) Read LIF Results button go here to this window.

Each event's results are a single LIF file where the event number is the first part of the event name.

You will have to Refresh this List initially and whenever you know that fresh results data has been placed in that folder.

(That data may have been saved directly from the Lynx computer or been copied via a memory stick)

Highlighting each event shows its data in the right hand table.

Viewing the LIF Data

Viewing the LIF Data

The button Send To SportsTrak will send all LIF data that is marked To Send.

Results are sent but not processed.

For event 20 above:

In Results Entry Window - unprocessed Event 20

In Results Entry Window - unprocessed Event 20

Check these competitors against any corrections that may have been made on the Marshal Sheets

After processing:

After Processing

After the processing, the list shows

Successfully sent events

Successfully sent events

In the shot above, Event 60 did not send. In this case it was because my practice data was just copied from elsewhere and the event did not match the program. If this was the case for you, then take waht results you have for event 60 and manually enter them in Results Entry.

If you need to re-send a particular LIF file, Click To Send on the table to flag it again.


A Double Carnival
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

We sometimes see a situation where both junior carnival and a senior carnival are being run at the same venue at the same time.

With both carnivals set up in SportsTrak, use the Actually its Two option and identify the two carnivals

Twin Carnivals

All the rest is the same as before except:

Event Numbers from Carnival A have an A appended to the number, and the second carnival has B added.

The SCH file showing some of Carnival A events.  Carnival B are in the list below

The SCH file showing some of Carnival A events. Carnival B are in the list below

The file above tells LYNX which events go with which carnival and it produces LIF files with that same notation below

The event numbers have A or B appended

The event numbers have A or B appended


Mobile Functions
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Overview

The mobile interface allows you to enter results via mobile devices such as iPads.

You require the SportsTrak App from Apple App Store or Google Play Store

From SportsTrak you upload the event data to our server, with which the App can communicate.

Link via the internet

Link via the internet

All functions are via the Mobile Menu

Mobile Menu

Manage Upload

Getting Connected

Upload the Carnival

AfterUploadingMobile

The progress displays the number of data items sent, so I have sent

1 Carnival

144 Events in the program

535 Students

15 pre-entered competitors

Now you can view what's online

Viewing the details:

Showing the carnival details stored on-line

Showing the carnival details stored on-line

The first few lines on this screen show how your data is actually stored. It is totally meaningless to anyone without the decryption key known by only your SportsTrak.

We at CaRob Computing cannot read it.

QR Code

The QR Code uniquely identifies your particular carnival for the mobile app.

Using the device's camera to scan the QR code identifies the carnival and downloads the data to the device.

Once on the device, all results or amendments to competitors remain on the device until the user specifically does an upload.

The QR Code can be printed so that people using the app can scan it to set up the program on their device.


Data Security
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Data does not travel directly from SportsTrak to the mobile app. It is transferred and stored on an online data base.

That database is leading edge Microsoft Azure MSSQL with its own tight security and backup procedures.

Data is encrypted both in transit and when stored on-line using the SHA-256 algorithm.

These means there are no concerns regarding the data security of student details.

This is what the student data looks like stored on the data base.  Even we have no means of reading it.

This is what the student data looks like stored on the data base. Even we have no means of reading it.

Data transfer is not particularly fast. This is because the encryption process slows it down.

Other SportsTrak users (or anyone else) have no way of seeing or reading your data because they have their own unique encryption key.


Uploaded Competitors
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Viewing the Uploaded Competitors

Showing uploaded and local competitors

Showing uploaded and local competitors

The right hand tables show the competitors stored in the cloud and lower, the locally PC's competitors. These will be identical after uploading.

(The 0 or 1 after people is their middle initial using some dodgy data I had roughly prepared)

However, competitors may be modified on the app. For example in House Meetings before the carnival. You may then Download above Competitors back to the local PC.

This is really only necessary before the carnival, for example before print Marshal sheets. Once the carnival is running, it is really only the Results that matter.


OnLine Results
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Enter topic text here.


Structure of SportsTrak
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Navigation: »No topics above this level«

A carnival typically consists of these elements, some of which you must directly manage yourself

The components of a typical carnival

The components of a typical carnival

Before building a program of events, you require:

Levels: Either Age Groups or Year Levels and maybe both

Students must have a Level. Events must have a Level

Team

Usually Houses, but can be Schools if it is an inter-school carnival

Library of Events

A list of potential events with related information so SportsTrak knows how to handle it. eg Long Jump, Distance Event, Field Slip

You can then build the program:

Events

Event names are drawn from the Library of Events.

Event Levels are either Age Based or Year Level Based.

A scoring system for awarding house and individual points

Manage the Students:

Students

are usually imported into SportsTrak but can be manually entered

Competitors

Students who have been placed into an event.

You may (or may not) pre-enter students into events:

There are several ways of doing this:

Assign students to a particular event

Assign events to a particular student

Import them from a text file

Then you run the carnival:

You call up each event, assign placings and/or performances to competitors, and move on to the next event. If competitors are not pre-entered, you look them up and add them. That event is automatically scored when it is completed. Scores to houses and individuals are updated.

After the carnival:

A range of summaries are available. Champions Report, Team Scores and a lot of others.


SportsTrak's Data Files
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Navigation: »No topics above this level«

SportsTrak is written using PC-Soft Windev. The data files used here are its proprietary HFSQL ISAM files. Rather than being in the cloud, the data is stored locally, usually in the same folder as the SportsTrak program.

The combined files form a relational data base. This means that data in one file can connect to data in another.

For example, each student has an ID and that ID is used in the CompList file, the Results file, and possible others.

Data files have the extension FIC

Most files have an Index, stored in the NDX file.

The data for all carnivals is saved in the one set of files.

The Carnival file stores details of multiple carnivals, each with a unique ID. This ID is used in other tables to distinguish between carnivals.

For example, AgeGroup will hold multiple age groups, often identical but they are each stored with a Carnival ID. When you set a carnival to be the Current Carnival, you will only see the Age Groups that have that Carnival ID.

These data files should not be accessed by any other means than through SportsTrak. Otherwise they can be corrupted.

The illustrated data is based on my files as ST3000 is being developed. There are 11 Carnivals represented here.

Sorted by size gives an indication of the relative file sizes on disc.

Two files are encrypted: the Student File and the Authority file

File list at time of writing this guide
The same files sorted by size

The same files sorted by size


CSV Files Explained
No contents entries on this page
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Navigation: »No topics above this level«

What is CSV and why use it?

CSV stands for Comma Separated Values.

Tabular data, such as a list of students, is stored with a single data record on each line. Each line has a set of values with a Comma separating the values

The data is stored as plain text and can be viewed and edited in simple programs like Notepad below.

Often the first line carries headings. In SportsTrak we don't tend to add headings to the CSV files because when importing, the headings gets treated as actual data, which they aren't.

If this data was imported as shown, then Surname, Given etc would be come in as a student. No big deal... just delete it later.

Editing CSV Files

Although you can use Notepad to edit a CSV file it is not really practical because it gets confusing. It is better to open the CSV in a spreadsheet, say Excel.

The same data here can now be more easily read, more easily edited, and can be sorted.

Saving CSV Data

For SportsTrak, make sure the data is saved again as CSV, not in Excel format.

Go to File Menu> Save As

CSV Save As

Quote marks?

Sometimes you will see CSV data with quotes around values. This is done if the data itself contains commas, for example the Time values below.

Sometimes the quotes are there even when they are not really needed e.g. Event Name or Gender below.

SportsTrak does not care one way or another if your CSV data contains quotes, except if the data itself contains commas.


Changes from SportsTrak 2200
No contents entries on this page
Go to previous topic
Go to home topic
This is the last topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Navigation: »No topics above this level«

For those of you familiar with previous SportsTrak versions, you should be aware of some key differences as outlined in the table.

In the interests of greater simplicity, some not widely used features have been omitted from 3000.

Feature

SportsTrak 2200 and earlier

SportsTrak 3000

Data Organisation

Each carnival has its own folder with its data. e.g. Aths 24

Disadvantages: Folders get lost. There is no logical connection between related carnivals

All data is in one folder (usually, but not always) the same as the Program.

Each Carnival has its own ID and all its data is connected to that ID so they do not get confused

Connections between related carnivals

There is no logical connection from one carnival to the next

e.g. Aths 24 is followed by Aths 25 but SportsTrak does not "know" there is a connection of Records

Carnivals belong to a Lineage. This means all Records from a previous carnival are known to the following carnival within that Lineage. They also share the same house names, scoring system, program etc (although this can be varied if desired)

Order of Events

Events are ordered by event number which must be numeric.

Event Numbers can be non-numeric, eg 3A, 3B,3C and a separate item (display order) dictates the actual order of events.

Administrative notes on the program. eg Lunch

Was a sort of add-on, not integrated properly into the program.0

Is entered into the program, with a display order, identified by a check box - Non-Event

Heats and Finals

Heats connected to finals via an event number.

This is problematic if event numbers change.

Every event has an underlying (invisible) unique ID number that never changes. This is what connects heats to their final. It means Event numbers and display orders can be changed, but the heats still "know" what their final is.

Records

Records of events do not automatically carry to the next carnival.

When carnivals belong to the same Lineage, records are seen by every new carnival in that Lineage. So Aths 2026 will see records set in Aths 2025

Previous Records

Current records over-write previous records

All records are kept, even those that have been beaten. SportsTrak can tell which is most recent (and hence most relevant), but the previous records are retained.

On-Line Storage

None

SportsTrak 3000 has access to an online storage, specifically for this program.

It can be used for Carnival backups and makes it easy for another copy of SportsTrak 3000 on another PC to download that Carnival

It can be used by remote devices for data transfer, eg iPad results back to the Windows program.

Data Communication and key data is encrypted.

32 bit vs 64 bit

Earlier SportsTrak is a 32 bit program.

On modern PCs, this means its processing is using half the available width of a 64 bit machine. It also relies on Windows maintaining support for 32 bit programs in later versions.

SportsTrak 3000 is a 64 bit program. This utilises the full capacity of the processor and ensures the program will run on any Windows for the foreseeable future.

Registration

A Registration file is sent with the school name in it. A code is entered for ongoing functionality of SportsTrak. Both are sent out by CaRob Computing

Your copy of SportsTrak 3000 is registered on our server. You are emailed a unique 16 character code.

Using that code (with on-line access) downloads the school name and access level (Full, Trial, Demo). Changes to the name of the school or the access level are automatically picked up (with on-line access)

External Data Entry

None

iPad Entry of Results and Competitor Entry via our server

Sequence No in Program of Events

The Event No is purely numeric and also denotes event order

Event Number does not have to be purely numeric. It can include characters eg Event 4-A.

Sequence No sets the order of events, and must be unique.

Form Based carnival structure

Supported

Not Supported

Meet Manager

Supported

Not Supported


ST 2200 Step 1 - Export

CaRob Computing

Navigation: »No topics above this level«

ST 2200 Step 1
No contents entries on this page
Contents
Topic functions menu
Menu
This is the first topic
Go to home topic
This is the last topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Navigation: »No topics above this level«

Export From SportsTrak 2200 to JSON Files

This example imports SportsTrak 2200 from a folder named SampData. Here is what it looks like in SportsTrak 2200.

SportsTrak 2200 SampData Results Window

SportsTrak 2200 SampData Results Window

Before Importing, have a think about the Lineage this carnival will belong to. It is an Age Group based House Aths program.

If a suitable Lineage does not exist, you can either create one before this import, or allow the import to create one automatically.

From Import/Export, run the Export Utility

This runs ST2200Export.exe, a separate program

It includes instructions.

ImpST2200 1

Select the appropriate folders then click the Export to JSON button

The number of file generated varies. For example you may have a carnival program only without students, or without results etc.

Then, exit this utility, and proceed to the Import stage

ST2JSONImportOK